SDL_GetWindowICCProfile(3)

NAME
SDL_GetWindowICCProfile - Get the raw ICC profile data for the screen the window is currently on.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

void* SDL_GetWindowICCProfile(SDL_Window *window, size_t *size);

DESCRIPTION
Data returned should be freed with SDL_free .

FUNCTION PARAMETERS

window
    the window to query

size
    the size of the ICC profile

RETURN VALUE
Returns the raw ICC profile data on success or NULL on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.